Subject: to do for 2.4 (update 21)

From: Dominik Vogt <[email-masked]>
Date: Fri, 24 Sep 1999 02:31:14 +0200

Items with highest priority / most severe problems:

--> 77, 78, 79 (top priority)

76, 80, 83, 86, 91

New since last update:

92 (former 87 duplicate), 93

Closed since last update:

19, 54, 85, 87, 88, 89, 93

---------- Summary: ----------------------------------------------

 5 in progress
 1 to be verified
 9 to do (must)
 4 to do (optional)
 3 fixes (high priority fix)
 1 fixes (optional fix)
 5 testing
----------------------------
28 open items
65 items done
93 items in total

---------- In progress: ------------------------------------------

 9)  Set up RPM packages.
     [???; Jason?]
 11) Add FvwmKb module?
     [in progress; Mikhael]
 48) Finish Windoze 95 like config file.
     [in progress (90%)]
 86) Finish code for setting backgrounds of other applications with
     colour sets.
     [Dominik]
 91) Fix Xpm version problem (bug #463).
     [Tim]

---------- To be verified: ---------------------------------------

 55) FvwmGtk can't be killed with 'KillModule'.
     [???]

---------- To do (must): -----------------------------------------

 7)  Create an I18N fvwm package (from 2.2 or so).
     [since the author seems to have lost interest I will disable
     the code if necessary]
 62) Write a new announcement.
 64) Install the new web pages.
     [Jason]
 74) To fix: icons are not preserved over a Quit - Start for fvwm
 76) Implement colour sets in FvwmTaskBar.
 77) Implement colour sets in menu styles.
 78) Implement colour sets in window styles.
 83) Fix FvwmIconMan crashes introduced by colour set support(?)
 90) Icon distribution.

---------- To do (optional) --------------------------------------

 12) Set up bzip2 tarballs.
 79) Implement colour sets in FvwmConsole?
 80) Implement colour sets in FvwmScript
 81) Change the way in which fvwm 'posts' menus with a click.

---------- Fixes (high priority): --------------------------------

 14) Figure out what the problem with Amaya is.
     [reported on 3-Jun-1999 by Rob Urban <[email-masked]>]
 16) Try to fix the 'netscape stuck on page' problem.
     [reported on 17-May-1999 by <[email-masked]>]
 17) Fix the bug that causes icons to lose management (bug #352).
     [couldn't reproduce this yet; can anybody who has netcool
     event manager try it?]

---------- Fixes (optional): -------------------------------------

 32) Several applications are reported to not resize well under fvwm
     (Datek's "Streamer", CodeWarrior).

---------- Testing: ----------------------------------------------

 33) Test the GNOME patches.
 34) Update and run the purify script again (and update it).
 35) Test the strokes patch.
 36) Test the new menu styles (ItemFormat!)
 92) Test new sessin management code.
 
========== Done: =================================================

 1)  Document the GNOME stuff (man page still missing).
 2)  Add screen shots to web page.
 3)  Add link to fvwm cats page to web page.
 4)  Add link to Mikhael' wm-icons page.
 5)  Update the links on our home page.
 6)  Remove several configure options.
 8)  Add an explanation about the various packages and where to
     discuss them to the web page.
     (stable, unstable (alpha), snapshots, ftp source tree, CVS).
 10) Remove 'PopupAsRootMenu' menu style (?).
     [rejected]
 13) Use a 'busy' pointer during startup.
 15) Get restart straight (sometimes an application vanishes over restarts)
     [fixed]
 18) Check if there are still growing windows as reported for 2.13.
     [bug #184 reported by Michael Hughes <[email-masked]>]
     [no bug; doesn't happen for 2.2 and up]
 19) Fix: KFM windows stay on top of normal fvwm windows.
     [done]
 20) Check why no icon can be set for Eterm.
     [reported on 8-May-1999 by Amir Chossrow Akhavan <[email-masked]>]
     [no fix? or should we rather break 'xterm +ai'?]
 21) Fix the bug with eterm and transparent background (I think rxvt has
     the same problem.
     [Eterm bug fixed, rxvt doesn't work very well with transparent
     background. I've reported to the rxvt mailing list]
 22) Investigate bug #290. (windows cannot be raised over others sometimes).
     [mail thread from April; confirmed by me (Dominik)]
     [fixed; there is a new style and the behaviour is a bit more intuitive]
 23) Check if bug #312 is still there.
     [fixed]
 24) Investigate bug #314.
     [fixed]
 25) Investigate dying pager on desk-to-desk transfers (bug #358 et al.)
     [fixed; only in 2.2.2, caused by missing X error handler]
 26) Investigate bug #315. (Recapture doesn't work perfectly for changing the
     default decor).
     [mainly a documentation problem; man page was updated]
 27) Check if bug #334 is still a problem.
     [fixed]
 28) Investigate FvemEvent core dumps.
     [fixed in 2.2.3, no bug in 2.3.4]
 29) Fix the pager bugs I reported recently.
 30) Fix the broken size hints of FvwmWinList (in fvwm itself).
 31) 'Maximize grow grow' works only on the current page.
     [fixed]
 37) Fix interaction of moving with autoraising icon titles.
     [fixed]
 38) Investigate bug #389. (StartsOnDesk does not work)
     [configuration problem, added a warning to the code]
 39) Investigate bug #390
     [fixed]
 40) Investigate bug #394. (Overlapping pages)
     [no bug; doesn't happen after a recompile]
 41) Fix hanging fvwm when moving GNOME menu bars (bug #395).
     [fixed]
 42) Get bitmap icons working again.
     [fixed]
 43) Several pager bugs (bug #379).
     [fixed]
 44) Fix TaskBar crash caused by latest patch in RemoveButton().
     [fixed]
 45) Remove the web pages from the distribution.
     [fixed]
 46) Titlebars should not inherit the pixmap from the border style.
 47) Verify the TaskBar clock update problem.
     [given up; I think I could reproduce the problem - it was a
     configuration mistake, but the reporter didn't care to answer
     if my suggestion helped; Dominik]
 49) Implement a 'H'old trigger for complex functions.
 50) Implement a 'ButtonGeometry' option for FvwmButtons.
 51) Fix constraining the window size when a window is maximized or
     larger than MaxWindowSize when mapped.
     [fixed]
 52) Allow to resize in client resize increment steps.
 53) Decide what to do with overlapping moved icons.
     [will be ignored]
 54) Find a better solution for raising/lowering of transients.
     [done]
 56) Mini icons may overlap menu titles.
     [fixed]
 57) Fix autohiding and TaskBar tips.
     [fixed]
 58) DeskTopSize is not honoured upon a restart (the old one is reused).
     [use Restart --dont-preserve-state]
 59) Get Raise/Lower of transients straight.
     [duplicate of item 54]
 60) Make MaxWindowSize a style (don't release a command that will
     change anyway).
 61) Get SidecPics working again.
     [fixed]
 63) Fix stacking order in pager.
     [fixed]
 65) Fix "maximize true ..." when a window is already maximized.
     [fixed]
 66) Fix ddd problems.
     [fixed ans far as possible; bug reported to ddd list]
 67) Add a Windoze95 like screenshot to the web page.
 68) Investigate 'Xlib: sequence lost' message.
     [went away with a newer snapshot]
 69) Fix window moving. Several people have reported that moving windows
     is slow or the windows don't follow the pointer well. This is really
     a big problem.
     [fixed]
 70) Fix resize. On one hand it's not nice that you can drag the window
     border off screen, on the other hand it doesn't hurt if the shadow
     of the border is not on screen.
     [fixed]
 71) Fix drawing of window titles.
     [fixed]
 72) Finish implementing colour sets for modules.
     [item split up]
 73) Remove 'panel' feature from FvwmButtons and re-implement it in a
     less disruptive way.
 75) Implement colour sets in FvwmWharf.
 82) Introduce a 'transient' option for FvwmButtons. This is needed
     to replicate the old panel behaviour.
 84) Implement colour sets in FvwmBacker.
 85) Add 'geometry' panel option in FvwmButtons.
     I think it's not worth the effort because it's similarly
     complicated as the menu position hints if I want to do it right.
     I can't see an easy solution that does something useful fast.
     [future enhancement]
 87) Describe what to do for colour set support in the module docs.
 88) Investigate 'pager out of sync' problem
     [fixed]
 89) Make FvwmScript use the same visual as fvwm (prerequisite for 80)
 93) Finish 'CREATING PANELS' section in FvwmButtons man page.
     [Dominik]

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]